Luxor PlatformAPI DocumentationDerivatives
Get derivatives positions
Returns a list of derivatives positions for a specific currency type with summary information and optional date filtering.
Authorization
LuxorAPIKey authorization<token>
Use your API key here.
In: header
Path Parameters
currency_type*string
Currency type for derivatives operations
Value in
- "BTC"
- "USD"
Query Parameters
start_date?string
Format
dateend_date?string
Format
datepage_number?integer
Range
1 <= valueDefault
1page_size?integer
Range
1 <= valueDefault
10Response Body
application/json
application/json
curl -X GET "https://example.com/v2/derivatives/positions/BTC"{ "currency_type": "BTC", "start_date": "2025-09-01", "end_date": "2025-10-01", "summary": { "realized_gain_loss": 32.74492868, "unrealized_gain_loss": 0, "total_gain_loss": 32.74492868, "margin_requirement": 6.9700358 }, "positions": [ { "date": "2025-09-11", "net_position_ph": -37249, "net_position_wavg": 0.00005466, "net_position_reference_rate": null, "wavg_long_hashprice": 0.00005466, "total_ph_long": 9551, "long_gain_loss": -3.37496788, "position_breakdown_reference_rate": null, "short_gain_loss": 4.01998183, "total_ph_short": 46800, "wavg_short_hashprice": 0.00005802, "unrealized_gain_loss": 0, "realized_gain_loss": 0.12599658, "total_gain_loss": 0.12599658, "initial_margin_percentage": 0.87, "maintenance_margin": 0.14, "upfront_long_ph": 1252, "margin_required": 0.12599658, "delivery_quota_ph": 870, "notional_delivery_quota": 4.2773539 } ]}{ "statusCode": 400, "code": "FST_ERR_VALIDATION", "error": "Bad Request", "message": "body/end_date Required"}